# List status reasons V1 (deprecated) List available reasons for the specific account status, with several filtering options. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Statuses and reasons", "description": "Endpoints to configure accounts, statuses, and reasons." } ], "components": { "parameters": { "AccountReasonDescriptionQuery": { "in": "query", "name": "description", "description": "Account reason description filter", "required": false, "schema": { "type": "string", "example": "Restrictions" } }, "AccountStatusIdQuery": { "name": "accountStatusId", "in": "query", "description": "Account status ID filter", "required": false, "schema": { "type": "integer", "format": "int64", "example": 123, "minimum": 1 } }, "AccountStatusNameQuery": { "in": "query", "name": "accountStatusName", "description": "Account status name filter. Pre-defined account statuses include `DEBIT_ONLY`, `NORMAL`, `BLOCKED` and `CANCELLED`. You can create your own account statuses with the [Create status](https://developers.pismo.io/pismo-docs/reference/v4-post-account-status) endpoint. \n", "required": false, "schema": { "type": "string", "example": "NORMAL" } }, "ShowUserQuery": { "name": "showUser", "in": "query", "description": "Filter by \"show to user\" flag", "required": false, "schema": { "type": "boolean", "example": false } } }, "schemas": { "AccountStatusID": { "type": "integer", "format": "int64", "description": "Account status ID", "example": 1234567890 }, "ExternalIdCode": { "type": "string", "description": "Customer-provided external ID code", "example": "11" }, "ShowUserReason": { "type": "boolean", "description": "Should reason be shown to the user?", "example": false }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "StatusReasonID": { "type": "integer", "format": "int64", "example": 123, "minimum": 1, "description": "ID of the reason why the account is in its current status. You can create reasons with the [Create status reason](https://developers.pismo.io/pismo-docs/reference/v4-post-account-reason) endpoint. \n" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v1/accounts-status/reasons": { "get": { "summary": "List status reasons V1 (deprecated)", "description": "List available reasons for the specific account status, with several filtering options.", "operationId": "get-accounts-v1-accounts-status-reasons", "deprecated": true, "tags": [ "Statuses and reasons" ], "parameters": [ { "$ref": "#/components/parameters/ShowUserQuery" }, { "$ref": "#/components/parameters/AccountStatusIdQuery" }, { "$ref": "#/components/parameters/AccountStatusNameQuery" }, { "$ref": "#/components/parameters/AccountReasonDescriptionQuery" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "required": [ "reason_id", "description" ], "properties": { "reason_id": { "$ref": "#/components/schemas/StatusReasonID" }, "description": { "type": "string", "description": "Description of the reason for the account status", "example": "Registration restrictions" }, "account_status_id": { "$ref": "#/components/schemas/AccountStatusID" }, "code": { "$ref": "#/components/schemas/ExternalIdCode" }, "show_user": { "$ref": "#/components/schemas/ShowUserReason" } } } }, "examples": { "Reasons list": { "value": [ { "code": "11", "reason_id": 6, "description": "Registration restrictions" } ] } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Empty list": { "value": { "message": "No reasons found" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Error retrieving reasons list" } } } } } } } } } } } ```